<?xml version='1.0' encoding='UTF-8'?>

<Properties version="4.1">
	<Property name="xslt.base64Zipped">true</Property>
	<Property name="xslt.ignoreInput">true</Property>
	<Property name="xslt.params" type="List">
		<Property name="var.session">var.session</Property>
		<Property name="var.request">var.request</Property>
	</Property>
	<Property name="xslt.saveAtServer">true</Property>
	<Property name="xslt.setAllVariablesAsTransformerParams">true</Property>
	<Property name="xslt.source"></Property>
	<Property name="xslt.sourceVariables" type="Map">
		<Property name="ISCurrentTime">1505486314818</Property>
		<Property name="ISWorkflowName">VAM_am_028_updateAsset</Property>
		<Property name="ISModuleName">VAM_am_validate_entity</Property>
		<Property name="ISModuleId">130234</Property>
		<Property name="ISProcessId">2542124</Property>
		<Property name="ISUserName">VAM</Property>
		<Property name="ISServerName">dev04.virtimo.net</Property>
		<Property name="ISGlobalProcessId">2542124</Property>
		<Property name="ISInvokingWorkflow">VAM_api_dispatching</Property>
		<Property name="ISInvokingModule">VAM_am_wfc_028_updateAsset</Property>
		<Property name="log" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;log>&lt;entries/>&lt;/log></Property>
		<Property name="id">762</Property>
		<Property name="ISXMLValidatorError">false</Property>
		<Property name="ISXMLValidatorErrorString"></Property>
		<Property name="var.request" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;parameters>&lt;asset>&lt;id>762&lt;/id>&lt;version>&lt;childTemplates>&lt;template>&lt;id>22&lt;/id>&lt;assets>&lt;asset>&lt;id>763&lt;/id>&lt;linkedFrom>1000-01-01T01:00:00+01:00&lt;/linkedFrom>&lt;linkedTo>9000-01-01T01:00:00+01:00&lt;/linkedTo>&lt;/asset>&lt;/assets>&lt;/template>&lt;/childTemplates>&lt;customId>ABC&lt;/customId>&lt;description/>&lt;customAttributes/>&lt;versionedAttributes>&lt;attribute>&lt;key>active&lt;/key>&lt;value>true&lt;/value>&lt;/attribute>&lt;attribute>&lt;key>validFrom&lt;/key>&lt;value/>&lt;/attribute>&lt;attribute>&lt;key>validTo&lt;/key>&lt;value/>&lt;/attribute>&lt;attribute>&lt;key>name&lt;/key>&lt;value>ABC&lt;/value>&lt;/attribute>&lt;attribute>&lt;key>flowType&lt;/key>&lt;value>Entry&lt;/value>&lt;/attribute>&lt;attribute>&lt;key>code&lt;/key>&lt;value>21Z0000ABC&lt;/value>&lt;/attribute>&lt;attribute>&lt;key>kind&lt;/key>&lt;value>305&lt;/value>&lt;/attribute>&lt;attribute>&lt;key>type&lt;/key>&lt;value>Z26&lt;/value>&lt;/attribute>&lt;/versionedAttributes>&lt;/version>&lt;unversionedAttributes/>&lt;/asset>&lt;versionComment/>&lt;return>true&lt;/return>&lt;returnParameters>&lt;withoutHiddenAttributes>true&lt;/withoutHiddenAttributes>&lt;other>PREVIOUS&lt;/other>&lt;/returnParameters>&lt;/parameters></Property>
		<Property name="var.session" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;session>&lt;request>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>update&lt;/method>&lt;parameters>&lt;asset>&lt;id>762&lt;/id>&lt;version>&lt;childTemplates>&lt;template>&lt;id>22&lt;/id>&lt;assets>&lt;asset>&lt;id>763&lt;/id>&lt;linkedFrom>1000-01-01T01:00:00+01:00&lt;/linkedFrom>&lt;linkedTo>9000-01-01T01:00:00+01:00&lt;/linkedTo>&lt;/asset>&lt;/assets>&lt;/template>&lt;/childTemplates>&lt;customId>ABC&lt;/customId>&lt;description/>&lt;customAttributes/>&lt;versionedAttributes>&lt;attribute>&lt;key>active&lt;/key>&lt;value>true&lt;/value>&lt;/attribute>&lt;attribute>&lt;key>validFrom&lt;/key>&lt;value/>&lt;/attribute>&lt;attribute>&lt;key>validTo&lt;/key>&lt;value/>&lt;/attribute>&lt;attribute>&lt;key>name&lt;/key>&lt;value>ABC&lt;/value>&lt;/attribute>&lt;attribute>&lt;key>flowType&lt;/key>&lt;value>Entry&lt;/value>&lt;/attribute>&lt;attribute>&lt;key>code&lt;/key>&lt;value>21Z0000ABC&lt;/value>&lt;/attribute>&lt;attribute>&lt;key>kind&lt;/key>&lt;value>305&lt;/value>&lt;/attribute>&lt;attribute>&lt;key>type&lt;/key>&lt;value>Z26&lt;/value>&lt;/attribute>&lt;/versionedAttributes>&lt;/version>&lt;unversionedAttributes/>&lt;/asset>&lt;versionComment/>&lt;return>true&lt;/return>&lt;returnParameters>&lt;withoutHiddenAttributes>true&lt;/withoutHiddenAttributes>&lt;other>PREVIOUS&lt;/other>&lt;/returnParameters>&lt;/parameters>&lt;withUser>false&lt;/withUser>&lt;startTimestamp>1505486314811&lt;/startTimestamp>&lt;/request>&lt;configuration>&lt;api xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">&lt;database>&lt;type>oracle&lt;/type>&lt;default>&lt;alertTimeout>20&lt;/alertTimeout>&lt;queryTimeout>60&lt;/queryTimeout>&lt;/default>&lt;/database>&lt;entity>&lt;validate>false&lt;/validate>&lt;/entity>&lt;response>&lt;debuggingInformation>false&lt;/debuggingInformation>&lt;format>false&lt;/format>&lt;validate>true&lt;/validate>&lt;/response>&lt;user>&lt;maxAge>P0DT2H0M5S&lt;/maxAge>&lt;/user>&lt;technicalUser>&lt;loginName>sys&lt;/loginName>&lt;/technicalUser>&lt;alerting>&lt;recipient>&lt;eMailAddress>kaufhold@virtimo.de &lt;/eMailAddress>&lt;/recipient>&lt;mail>&lt;host>smtp.googlemail.com&lt;/host>&lt;sender>&lt;eMailAddress>jochen@virtimo.net &lt;/eMailAddress>&lt;/sender>&lt;debuggingInformation>true&lt;/debuggingInformation>&lt;/mail>&lt;/alerting>&lt;backend>&lt;imnot>&lt;url>https://localhost:7080/im/1/rest/&lt;/url>&lt;/imnot>&lt;bpc>&lt;url>http://localhost:8181/cxf/bpc-core/authentication&lt;/url>&lt;/bpc>&lt;/backend>&lt;/api>&lt;am xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">&lt;entity>&lt;validate>false&lt;/validate>&lt;/entity>&lt;technicalUser>&lt;loginName>sys&lt;/loginName>&lt;/technicalUser>&lt;/am>&lt;userGroupName>VAM&lt;/userGroupName>&lt;/configuration>&lt;user>&lt;id>bpcadmin&lt;/id>&lt;displayName>BPC Administrator&lt;/displayName>&lt;loginName>bpcadmin&lt;/loginName>&lt;name>BPC Administrator&lt;/name>&lt;eMailAddress/>&lt;active>true&lt;/active>&lt;locale>de_DE&lt;/locale>&lt;language>de&lt;/language>&lt;country>DE&lt;/country>&lt;roles>&lt;role>VAM-administrator&lt;/role>&lt;role>Power User&lt;/role>&lt;role>VAM_organization_showcase&lt;/role>&lt;role>VAM_organization_PF&lt;/role>&lt;role>User&lt;/role>&lt;role>bpcadmin&lt;/role>&lt;role>VAM_organization_cktest&lt;/role>&lt;role>bpcAdmin&lt;/role>&lt;role>bpcUser&lt;/role>&lt;/roles>&lt;permissions>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>create&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>delete&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>executeAction&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>get&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>getActionAttributes&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>query&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>update&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>person&lt;/context>&lt;method>create&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>person&lt;/context>&lt;method>delete&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>person&lt;/context>&lt;method>get&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>person&lt;/context>&lt;method>query&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>person&lt;/context>&lt;method>update&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>create&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>delete&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>get&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>query&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>update&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>create&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>delete&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>executeAction&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>get&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>getActionAttributes&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>getImage&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>query&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>setImage&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>update&lt;/method>&lt;/permission>&lt;permission>&lt;module>api&lt;/module>&lt;context>organization&lt;/context>&lt;method>getConfiguration&lt;/method>&lt;/permission>&lt;permission>&lt;module>api&lt;/module>&lt;context>organization&lt;/context>&lt;method>setConfiguration&lt;/method>&lt;/permission>&lt;permission>&lt;module>api&lt;/module>&lt;context>organization&lt;/context>&lt;method>setName&lt;/method>&lt;/permission>&lt;/permissions>&lt;organizations>&lt;organization>&lt;id>cktest&lt;/id>&lt;displayName>cktest&lt;/displayName>&lt;name/>&lt;configuration/>&lt;active>true&lt;/active>&lt;/organization>&lt;/organizations>&lt;/user>&lt;/session></Property>
	</Property>
	<Property name="xslt.stylesheet" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:am="http://www.bosch-si.com/2013/AM" exclude-result-prefixes="#all" version="2.0">  
  &lt;xsl:import href="inubitmodule://VAM_api_XSLT_Tools"/>
  &lt;xsl:output method="xml" encoding="UTF-8"/>
  &lt;xsl:param name="var.session" as="element()"/>&lt;xsl:param name="var.request" as="element()"/>&lt;xsl:variable name="asset" select="$var.request/asset" as="element()"/>
  &lt;xsl:template match="/"> 
    &lt;queries> 
      &lt;query properties="force" queryID="asset"> 
        &lt;value>&lt;xsl:text> select a.templateId,  &lt;/xsl:text>&lt;xsl:value-of select="am:timestampFromDB('a.activeversion')"/>&lt;xsl:text>from assets a

where a.organizationId = &lt;/xsl:text>&lt;xsl:value-of select="am:stringToDB($var.session/user/organizations/organization/id)"/>&lt;xsl:text>
and a.id = &lt;/xsl:text>&lt;xsl:value-of select="am:numberToDB($asset/id)"/>&lt;xsl:text>
and a.deleted = '0'
        &lt;/xsl:text>&lt;/value> 
      &lt;/query>&lt;query properties="force" queryID="version"> 
        &lt;value>&lt;xsl:text> select   &lt;/xsl:text>&lt;xsl:value-of select="am:timestampFromDB('max(v.UPDATEDON)', 'HEADVERSION')"/>&lt;xsl:text> from ass_versions v  
 
 where v.assetId = &lt;/xsl:text>&lt;xsl:value-of select="am:numberToDB($asset/id)"/>&lt;/value> 
      &lt;/query> 
      
      &lt;query properties="force" queryID="children">
        &lt;value>
select a.id,
a.deleted,
a.organizationId

from assets a

where not (
  a.deleted = '0'
  and a.organizationId =  &lt;xsl:value-of select="am:stringToDB($var.session/user/organizations/organization/id)"/>
)
and 
  &lt;xsl:value-of select="am:keyInAssetList('a.id', $asset/version/childTemplates/template/assets/asset)"/>
          
        &lt;/value> 
      &lt;/query>&lt;query properties="force" queryID="parentsOfUpdatedAsset">
        &lt;value> select distinct assetid from ass_children where childAssetId =&lt;xsl:value-of select="am:numberToDB($asset/id)"/>
          
        &lt;/value> 
      &lt;/query>
      &lt;query queryID="parentAssetQuantities" properties="force">
        &lt;value>&lt;xsl:text>
select AC.ASSETID OTHERPARENTID, AC.CHILDASSETID CHILDASSETID,

&lt;/xsl:text>&lt;xsl:value-of select="concat(am:timestampFromDB(&amp;quot;AC.LINKEDFROM&amp;quot;), ', ', am:timestampFromDB(&amp;quot;AC.LINKEDTO&amp;quot;))"/>&lt;xsl:text>
from ass_children ac

join assets p
on ac.assetId = p.id

join assets q
on p.templateId = q.templateId


where q.id = &lt;/xsl:text>&lt;xsl:value-of select="am:numberToDB($asset/id)"/>&lt;xsl:text> and &lt;/xsl:text>&lt;xsl:value-of select="am:keyInAssetList('ac.childAssetId', $asset/version/childTemplates/template/assets/asset)"/>&lt;xsl:text>

and ac.assetId != &lt;/xsl:text>&lt;xsl:value-of select="am:numberToDB($asset/id)"/>
          
        &lt;/value>
      &lt;/query>
      
    &lt;/queries> 
  &lt;/xsl:template> 
&lt;/xsl:stylesheet></Property>
	<Property name="xslt.target"></Property>
	<Property name="xslt.transformer">net.sf.saxon.TransformerFactoryImpl</Property>
</Properties>